#ifndef WIDGET_H
#define WIDGET_H
#include <QWidget>
#include <QtWidgets>
#include "mousemovetextedit.h"

class Widget : public QWidget {
 Q_OBJECT
public:
 Widget(QApplication *parent);
 ~Widget();
 void removeLastLineFromQTextEdit (QTextEdit *);
 void deleteLastChar (QLineEdit *);
protected:
 void keyReleaseEvent(QKeyEvent *event) override;
 void mousePressEvent (QMouseEvent *) override;
 void mouseMoveEvent (QMouseEvent *) override;
 //bool eventFilter(QObject *obj, QEvent *ev) override;
private:
 QApplication *parent;
 QLineEdit *displaystring; //Поле ввода
 MouseMoveTextEdit *stackList; //Поле для вывода стека
 QLabel *errorLabel; //Метка для вывода ошибки
 QPushButton *b1, *b2, *b3, *b4; //Кнопки
 QVector <QString> stack; //Сам стек для чисел
private slots:
 void b1Clicked(); //Слоты для обработки нажатий кнопок
 void b2Clicked();
 void b3Clicked();
 void b4Clicked();
};
#endif // WIDGET_H
